      program int_count ! BB 08 31 2006
C Largest and smallest integer in Fortran.
      include '../../ForLib/implicit.sta'
      include '../../ForLib/constants.par'
      PARAMETER(IUO=6,IONE=1)
      WRITE(IUO,'(/," int_count started.")')
      I2=0
1     I1=I2
        I2=I2+1
      IF(ISIGN(IONE,I2).EQ.ISIGN(IONE,I1)) GOTO 1
      WRITE(IUO,'(/," Final I1,I2 =",2I20,/)') I1,I2
      stop "int_count: all done."
      end
